%define VERSION 2.60
%define RELEASE 1

%define _prefix	/usr/local
%define _bindir %{_prefix}/bin
%define _libdir /usr/lib
%define _ppddir /usr/

%define PR1 	ip2200
%define PR2 	ip4200
%define PR3 	ip6600d
%define PR4 	ip7500
%define PR5 	mp500
%define BUILD_PR 	%{PR1} %{PR2} %{PR3} %{PR4} %{PR5}

%define PR1_ID 	256
%define PR2_ID 	260
%define PR3_ID 	265
%define PR4_ID 	266
%define PR5_ID 	273
%define BUILD_PR_ID 	%{PR1_ID} %{PR2_ID} %{PR3_ID} %{PR4_ID} %{PR5_ID}

Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
Name: cnijfilter-common
Version: %{VERSION}
Release: %{RELEASE}
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Source0: cnijfilter-common-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+ libxml libtiff 
#BuildRequires: gtk-devel cups-devel 

%package -n cnijfilter-%{PR1}
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version}

%package -n cnijfilter-%{PR2}
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version}

%package -n cnijfilter-%{PR3}
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version}

%package -n cnijfilter-%{PR4}
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version}

%package -n cnijfilter-%{PR5}
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version}

%package -n cnijfilter-%{PR1}-lprng
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version} cnijfilter-%{PR1} = %{version}

%package -n cnijfilter-%{PR2}-lprng
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version} cnijfilter-%{PR2} = %{version}

%package -n cnijfilter-%{PR3}-lprng
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version} cnijfilter-%{PR3} = %{version}

%package -n cnijfilter-%{PR4}-lprng
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version} cnijfilter-%{PR4} = %{version}

%package -n cnijfilter-%{PR5}-lprng
Summary: Canon Inkjet Printer Filter Ver.%{VERSION} for Linux
License: See the README files.
Vendor: CANON INC.
Group: Applications/Publishing
Requires: %{name} = %{version} cnijfilter-%{PR5} = %{version}

%description
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the CUPS (Common UNIX Printing System) environment.

%description -n cnijfilter-%{PR1}
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the CUPS (Common UNIX Printing System) environment.

%description -n cnijfilter-%{PR1}-lprng
Canon Inkket Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the LPRng environment.

%description -n cnijfilter-%{PR2}
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the CUPS (Common UNIX Printing System) environment.

%description -n cnijfilter-%{PR2}-lprng
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the LPRng environment.

%description -n cnijfilter-%{PR3}
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the CUPS (Common UNIX Printing System) environment.

%description -n cnijfilter-%{PR3}-lprng
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the LPRng environment.

%description -n cnijfilter-%{PR4}
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the CUPS (Common UNIX Printing System) environment.

%description -n cnijfilter-%{PR4}-lprng
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the LPRng environment.

%description -n cnijfilter-%{PR5}
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the CUPS (Common UNIX Printing System) environment.

%description -n cnijfilter-%{PR5}-lprng
Canon Inkjet Print Filter for Linux. 
This Inkjet Print Filter provides printing functions for Canon Inkjet
printers operating under the LPRng environment.


%prep

%setup -q


cd libs
    ./autogen.sh --prefix=%{_prefix} 

cd ../cngpij
    ./autogen.sh --prefix=%{_prefix} --enable-progpath=%{_bindir}

cd ../pstocanonij
    ./autogen.sh --prefix=/usr --enable-progpath=%{_bindir} 

cd ../ppd
    ./autogen.sh --prefix=/usr

cd ../cngpijmon
    set `automake --version`
    am_ver=`expr substr $4 1 3`
    case $am_ver in
      "1.4" | "1.5" )
          ./autogen-old.sh --prefix=%{_prefix} ;;
      * )
          ./autogen.sh --prefix=%{_prefix} ;;
    esac

%build
#make 

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/cups/filter
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/share/cups/model

make install DESTDIR=${RPM_BUILD_ROOT}

for PR in %{BUILD_PR}
do
cd cnijfilter
    ./autogen.sh --prefix=%{_prefix} --program-suffix=${PR} --enable-libpath=%{_libdir}/bjlib --enable-binpath=%{_bindir}
    make clean
    make
    make install DESTDIR=${RPM_BUILD_ROOT}

cd ../printui
    set `automake --version`
    am_ver=`expr substr $4 1 3`
    case $am_ver in
      "1.4" | "1.5" )
          ./autogen-old.sh --prefix=%{_prefix} --program-suffix=${PR} ;;
      * )
          ./autogen.sh --prefix=%{_prefix} --program-suffix=${PR} ;;
    esac

    make clean
    make 
    make install DESTDIR=${RPM_BUILD_ROOT}

cd ../stsmon
    set `automake --version`
    am_ver=`expr substr $4 1 3`
    case $am_ver in
      "1.4" | "1.5" )
          ./autogen-old.sh --prefix=%{_prefix} --program-suffix=${PR} --enable-progpath=%{_bindir} ;;
      * )
          ./autogen.sh --prefix=%{_prefix} --program-suffix=${PR} --enable-progpath=%{_bindir} ;;
    esac

    make clean
    make 
    make install DESTDIR=${RPM_BUILD_ROOT}

cd ..
done

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/bjlib

for PR_ID in %{BUILD_PR_ID}
do
    install -c -s -m 755 ${PR_ID}/database/*  		${RPM_BUILD_ROOT}%{_libdir}/bjlib
    install -c -s -m 755 ${PR_ID}/libs_bin/*.so.* 	${RPM_BUILD_ROOT}%{_libdir}
done

cd ${RPM_BUILD_ROOT}%{_libdir}
#for PR_ID in %{BUILD_PR_ID}
#do
#	ln -s libcnbpcmcm${PR_ID}.so.* 		libcnbpcmcm${PR_ID}.so
#	ln -s libcnbpcnclapi${PR_ID}.so.*	libcnbpcnclapi${PR_ID}.so
#	ln -s libcnbpcnclbjcmd${PR_ID}.so.* libcnbpcnclbjcmd${PR_ID}.so
#	ln -s libcnbpcnclui${PR_ID}.so.* 	libcnbpcnclui${PR_ID}.so
#	ln -s libcnbpess${PR_ID}.so.* 		libcnbpess${PR_ID}.so
#	ln -s libcnbpo${PR_ID}.so.* 		libcnbpo${PR_ID}.so
#done
cd -

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%post -n cnijfilter-%{PR1}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi


%postun -n cnijfilter-%{PR1}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/cngpijmon
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/printui%{PR1}
	rmdir -p --ignore-fail-on-non-empty %{_libdir}/bjlib
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
fi
%post -n cnijfilter-%{PR1}-lprng
%postun -n cnijfilter-%{PR1}-lprng
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/stsmon%{PR1}/pixmaps
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
fi

%post -n cnijfilter-%{PR2}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
%postun -n cnijfilter-%{PR2}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/cngpijmon
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/printui%{PR2}
	rmdir -p --ignore-fail-on-non-empty %{_libdir}/bjlib
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
fi
%post -n cnijfilter-%{PR2}-lprng
%postun -n cnijfilter-%{PR2}-lprng
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/stsmon%{PR2}/pixmaps
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
fi

%post -n cnijfilter-%{PR3}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
%postun -n cnijfilter-%{PR3}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/printui%{PR3}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/cngpijmon
	rmdir -p --ignore-fail-on-non-empty %{_libdir}/bjlib
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
fi
%post -n cnijfilter-%{PR3}-lprng
%postun -n cnijfilter-%{PR3}-lprng
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/stsmon%{PR3}/pixmaps
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
fi

%post -n cnijfilter-%{PR4}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
%postun -n cnijfilter-%{PR4}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/printui%{PR4}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/cngpijmon
	rmdir -p --ignore-fail-on-non-empty %{_libdir}/bjlib
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
fi
%post -n cnijfilter-%{PR4}-lprng
%postun -n cnijfilter-%{PR4}-lprng
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/stsmon%{PR4}/pixmaps
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
fi

%post -n cnijfilter-%{PR5}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
%postun -n cnijfilter-%{PR5}
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/printui%{PR5}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/cngpijmon
	rmdir -p --ignore-fail-on-non-empty %{_libdir}/bjlib
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
fi
%post -n cnijfilter-%{PR5}-lprng
%postun -n cnijfilter-%{PR5}-lprng
if [ "$1" = 0 ] ; then
	rmdir -p --ignore-fail-on-non-empty %{_bindir}
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/stsmon%{PR5}/pixmaps
	rmdir -p --ignore-fail-on-non-empty %{_prefix}/share/locale/*/LC_MESSAGES
fi

%files
%defattr(-,root,root)
%{_libdir}/cups/filter/pstocanonij
%{_libdir}/cups/backend/cnij_parallel
%{_libdir}/cups/backend/cnij_usb
%{_bindir}/cngpij

%files -n cnijfilter-%{PR1}
%defattr(-,root,root)
%{_bindir}/cngpijmon
%{_bindir}/lgmon%{PR1}
%{_bindir}/printui%{PR1}
%{_ppddir}/share/cups/model/canon%{PR1}.ppd
%{_prefix}/share/locale/*/LC_MESSAGES/cngpijmon.mo
%{_prefix}/share/locale/*/LC_MESSAGES/printui%{PR1}.mo
%{_prefix}/share/cngpijmon/*
%{_prefix}/share/printui%{PR1}/*

%{_bindir}/cif%{PR1}
%{_libdir}/libcnbp*%{PR1_ID}.so*
%{_libdir}/bjlib/cif%{PR1}.bscc
%{_libdir}/bjlib/cif%{PR1}.conf
%{_libdir}/bjlib/cnb_%{PR1_ID}0.tbl
%{_libdir}/bjlib/cnbpname%{PR1_ID}.tbl

%files -n cnijfilter-%{PR1}-lprng
%defattr(-,root,root)
%{_bindir}/%{PR1}_ps
%{_bindir}/%{PR1}_raw
%{_bindir}/ijcmd%{PR1}
%{_bindir}/stsmon%{PR1}
%{_prefix}/share/stsmon%{PR1}/pixmaps/*.xpm
%{_prefix}/share/locale/*/LC_MESSAGES/stsmon%{PR1}.mo

%files -n cnijfilter-%{PR2}
%defattr(-,root,root)
%{_bindir}/cngpijmon
%{_bindir}/lgmon%{PR2}
%{_bindir}/printui%{PR2}
%{_ppddir}/share/cups/model/canon%{PR2}.ppd
%{_prefix}/share/locale/*/LC_MESSAGES/cngpijmon.mo
%{_prefix}/share/locale/*/LC_MESSAGES/printui%{PR2}.mo
%{_prefix}/share/cngpijmon/*
%{_prefix}/share/printui%{PR2}/*

%{_bindir}/cif%{PR2}
%{_libdir}/libcnbp*%{PR2_ID}.so*
%{_libdir}/bjlib/cif%{PR2}.conf
%{_libdir}/bjlib/cnb_%{PR2_ID}0.tbl
%{_libdir}/bjlib/cnbpname%{PR2_ID}.tbl

%files -n cnijfilter-%{PR2}-lprng
%defattr(-,root,root)
%{_bindir}/%{PR2}_ps
%{_bindir}/%{PR2}_raw
%{_bindir}/ijcmd%{PR2}
%{_bindir}/stsmon%{PR2}
%{_prefix}/share/stsmon%{PR2}/pixmaps/*.xpm
%{_prefix}/share/locale/*/LC_MESSAGES/stsmon%{PR2}.mo

%files -n cnijfilter-%{PR3}
%defattr(-,root,root)
%{_bindir}/cngpijmon
%{_bindir}/lgmon%{PR3}
%{_bindir}/printui%{PR3}
%{_ppddir}/share/cups/model/canon%{PR3}.ppd
%{_prefix}/share/locale/*/LC_MESSAGES/cngpijmon.mo
%{_prefix}/share/locale/*/LC_MESSAGES/printui%{PR3}.mo
%{_prefix}/share/cngpijmon/*
%{_prefix}/share/printui%{PR3}/*

%{_bindir}/cif%{PR3}
%{_libdir}/libcnbp*%{PR3_ID}.so*
%{_libdir}/bjlib/cif%{PR3}.conf
%{_libdir}/bjlib/cnb_%{PR3_ID}0.tbl
%{_libdir}/bjlib/cnbpname%{PR3_ID}.tbl

%files -n cnijfilter-%{PR3}-lprng
%defattr(-,root,root)
%{_bindir}/%{PR3}_ps
%{_bindir}/%{PR3}_raw
%{_bindir}/ijcmd%{PR3}
%{_bindir}/stsmon%{PR3}
%{_prefix}/share/stsmon%{PR3}/pixmaps/*.xpm
%{_prefix}/share/locale/*/LC_MESSAGES/stsmon%{PR3}.mo

%files -n cnijfilter-%{PR4}
%defattr(-,root,root)
%{_bindir}/cngpijmon
%{_bindir}/lgmon%{PR4}
%{_bindir}/printui%{PR4}
%{_ppddir}/share/cups/model/canon%{PR4}.ppd
%{_prefix}/share/locale/*/LC_MESSAGES/cngpijmon.mo
%{_prefix}/share/locale/*/LC_MESSAGES/printui%{PR4}.mo
%{_prefix}/share/cngpijmon/*
%{_prefix}/share/printui%{PR4}/*

%{_bindir}/cif%{PR4}
%{_libdir}/libcnbp*%{PR4_ID}.so*
%{_libdir}/bjlib/cif%{PR4}.conf
%{_libdir}/bjlib/cnb_%{PR4_ID}0.tbl
%{_libdir}/bjlib/cnbpname%{PR4_ID}.tbl

%files -n cnijfilter-%{PR4}-lprng
%defattr(-,root,root)
%{_bindir}/%{PR4}_ps
%{_bindir}/%{PR4}_raw
%{_bindir}/ijcmd%{PR4}
%{_bindir}/stsmon%{PR4}
%{_prefix}/share/stsmon%{PR4}/pixmaps/*.xpm
%{_prefix}/share/locale/*/LC_MESSAGES/stsmon%{PR4}.mo

%files -n cnijfilter-%{PR5}
%defattr(-,root,root)
%{_bindir}/cngpijmon
%{_bindir}/lgmon%{PR5}
%{_bindir}/printui%{PR5}
%{_ppddir}/share/cups/model/canon%{PR5}.ppd
%{_prefix}/share/locale/*/LC_MESSAGES/cngpijmon.mo
%{_prefix}/share/locale/*/LC_MESSAGES/printui%{PR5}.mo
%{_prefix}/share/cngpijmon/*
%{_prefix}/share/printui%{PR5}/*

%{_bindir}/cif%{PR5}
%{_libdir}/libcnbp*%{PR5_ID}.so*
%{_libdir}/bjlib/cif%{PR5}.conf
%{_libdir}/bjlib/cnb_%{PR5_ID}0.tbl
%{_libdir}/bjlib/cnbpname%{PR5_ID}.tbl

%files -n cnijfilter-%{PR5}-lprng
%defattr(-,root,root)
%{_bindir}/%{PR5}_ps
%{_bindir}/%{PR5}_raw
%{_bindir}/ijcmd%{PR5}
%{_bindir}/stsmon%{PR5}
%{_prefix}/share/stsmon%{PR5}/pixmaps/*.xpm
%{_prefix}/share/locale/*/LC_MESSAGES/stsmon%{PR5}.mo

%ChangeLog

